Skip to content

Modify permission group information

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Modify the permission group information, you can modify the name, description information and new unique identifier (NewCode).

Method name

ManagementClient.updateNamespace

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
codestringYes-Permission group unique identifiermy-namespace
descriptionstringNo-Permission group descriptionMy permission group description
namestringNo-Permission group nameMy permission group
newCodestringNo-Permission group new unique identifiermy-new-namespace

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updateNamespace({
    code: "my-namespace",
    description: "My permission group description",
    name: "My permission group",
    newCode: "my-new-namespace",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UpdateNamespaceRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UpdateNamespaceDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "my-namespace",
    "description": "My permission group description",
    "name": "My permission group",
    "newCode": "my-new-namespace"
  }
}

Data structure

UpdateNamespaceDto

NameTypeIs it required?DescriptionExample value
codestringyesPermission group unique identifiermy-namespace
descriptionstringNoPermission group descriptionMy permission group description
namestringNoPermission group nameMy permission group
newCodestringNoPermission group new unique identifiermy-new-namespace

Agent infrastructure for identity, memory, and web action.